Data.HashMap.Lazy

# Strictness properties

data HashMap k v

# Construction

empty

singleton

# Basic interface

null

size

member

lookup

lookupDefault

(!)

insert

insertWith

delete

adjust

update

alter

# Combine

## Union

union

unionWith

unionWithKey

unions

# Transformations

map

mapWithKey

traverseWithKey

# Difference and intersection

difference

intersection

intersectionWith

intersectionWithKey

# Folds

foldl'

foldlWithKey'

foldr

foldrWithKey

# Filter

filter

filterWithKey

mapMaybe

mapMaybeWithKey

# Conversions

keys

elems

## Lists

toList

fromList

fromListWith